package cn.ibizlab.businesscentral.core.odoo_mrp.client;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.web.bind.annotation.*;
import cn.ibizlab.businesscentral.core.odoo_mrp.domain.Mrp_workcenter_productivity_loss;
import cn.ibizlab.businesscentral.core.odoo_mrp.filter.Mrp_workcenter_productivity_lossSearchContext;
import org.springframework.stereotype.Component;

/**
 * 实体[mrp_workcenter_productivity_loss] 服务对象接口
 */
@Component
public class mrp_workcenter_productivity_lossFallback implements mrp_workcenter_productivity_lossFeignClient{

    public Page<Mrp_workcenter_productivity_loss> search(Mrp_workcenter_productivity_lossSearchContext context){
            return null;
     }


    public Mrp_workcenter_productivity_loss update(Long id, Mrp_workcenter_productivity_loss mrp_workcenter_productivity_loss){
            return null;
     }
    public Boolean updateBatch(List<Mrp_workcenter_productivity_loss> mrp_workcenter_productivity_losses){
            return false;
     }


    public Mrp_workcenter_productivity_loss create(Mrp_workcenter_productivity_loss mrp_workcenter_productivity_loss){
            return null;
     }
    public Boolean createBatch(List<Mrp_workcenter_productivity_loss> mrp_workcenter_productivity_losses){
            return false;
     }

    public Boolean remove(Long id){
            return false;
     }
    public Boolean removeBatch(Collection<Long> idList){
            return false;
     }




    public Mrp_workcenter_productivity_loss get(Long id){
            return null;
     }


    public Page<Mrp_workcenter_productivity_loss> select(){
            return null;
     }

    public Mrp_workcenter_productivity_loss getDraft(){
            return null;
    }



    public Boolean checkKey(Mrp_workcenter_productivity_loss mrp_workcenter_productivity_loss){
            return false;
     }


    public Boolean save(Mrp_workcenter_productivity_loss mrp_workcenter_productivity_loss){
            return false;
     }
    public Boolean saveBatch(List<Mrp_workcenter_productivity_loss> mrp_workcenter_productivity_losses){
            return false;
     }

    public Page<Mrp_workcenter_productivity_loss> searchDefault(Mrp_workcenter_productivity_lossSearchContext context){
            return null;
     }


}
